Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #2075

Generic/Approved name label
08/17/2016 09:59 AM - Oleksii Kurasov

Status: Closed
Priority: Urgent
Assignee: Oleksii Kurasov
Category:

Target version:

Start date:
Due date:

% Done:

Estimated time:

Spent time:

08/17/2016
08/24/2016
0%

0.00 hour
0.00 hour

Description
Propose another label

History

#1 - 08/22/2016 03:29 AM - Oleksii Kurasov

- Due date changed from 08/19/2016 to 08/24/2016

#2 - 08/26/2016 02:13 AM - Oleksii Kurasov

- Status changed from New to Resolved

#3 - 08/26/2016 08:39 AM - Oleksii Kurasov

- Status changed from Resolved to Closed

06/06/2025

1/1
